Søg i Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

FF4 will not install on my iMac g5 running OS 10.5.8.

  • Ingen svar
  • 2 har dette problem
more options

I have downloaded Firefox 4.0 several times, however each time I try to install it on my iMac G5 running OS 10.5.8, I get a message that says "You can't open this application "Firefox" because it is not supported on this architecture."